## ros-noetic-rqt-dep 0.4.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rqt_dep)
# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED)
catkin_package()
catkin_python_setup()

if(CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test/dotcode_pack_test.py)
endif()

install(FILES plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY resource
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

catkin_install_python(PROGRAMS scripts/rqt_dep
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-noetic-rqt-dep (0.4.12-1focal) focal; urgency=high

  * Fix rqt_dep for Noetic. (#16 <https://github.com/ros-visualization/rqt_dep/issues/16>)
  * Contributors: Ivan Santiago Paunovic

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 10 May 2021 00:00:00 -0000

ros-noetic-rqt-dep (0.4.11-1focal) focal; urgency=high

  * Update maintainers (#13 <https://github.com/ros-visualization/rqt_dep/issues/13>)
  * Fix shebang line for python3 (#12 <https://github.com/ros-visualization/rqt_dep/issues/12>)
  * Bump CMake minimum version to avoid CMP0048 warning
  * Contributors: Dirk Thomas, Ivan Santiago Paunovic, Mikael Arguedas

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 07 Apr 2021 00:00:00 -0000

ros-noetic-rqt-dep (0.4.10-1focal) focal; urgency=high

  * add Python 3 conditional dependencies (#11 <https://github.com/ros-visualization/rqt_dep/issues/11>)
  * updating to flake8 style (#8 <https://github.com/ros-visualization/rqt_dep/issues/8>)
  * autopep8 and gitignore (#7 <https://github.com/ros-visualization/rqt_dep/issues/7>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 17 Mar 2020 00:00:00 -0000

ros-noetic-rqt-dep (0.4.9-1focal) focal; urgency=high

  * catch exceptions caused by threading to prevent crashing UI (#4 <https://github.com/ros-visualization/rqt_dep/issues/4>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 24 May 2018 00:00:00 -0000

ros-noetic-rqt-dep (0.4.8-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 24 Apr 2017 00:00:00 -0000

ros-noetic-rqt-dep (0.4.7-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 02 Mar 2017 00:00:00 -0000

ros-noetic-rqt-dep (0.4.6-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Feb 2017 00:00:00 -0000

ros-noetic-rqt-dep (0.4.5-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Feb 2017 00:00:00 -0000

ros-noetic-rqt-dep (0.4.4-1focal) focal; urgency=high

  * use Python 3 compatible syntax (#421 <https://github.com/ros-visualization/rqt_common_plugins/pull/421>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Jan 2017 00:00:00 -0000

ros-noetic-rqt-dep (0.4.3-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 02 Nov 2016 00:00:00 -0000

ros-noetic-rqt-dep (0.4.2-1focal) focal; urgency=high

  * fix newer mock version (#397 <https://github.com/ros-visualization/rqt_common_plugins/issues/397>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 00:00:00 -0000

ros-noetic-rqt-dep (0.4.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 16 May 2016 00:00:00 -0000

ros-noetic-rqt-dep (0.4.0-1focal) focal; urgency=high

  * Support Qt 5 (in Kinetic and higher) as well as Qt 4 (in Jade and earlier) (#359 <https://github.com/ros-visualization/rqt_common_plugins/pull/359>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 27 Apr 2016 00:00:00 -0000

ros-noetic-rqt-dep (0.3.13-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 08 Mar 2016 00:00:00 -0000

ros-noetic-rqt-dep (0.3.12-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 24 Jul 2015 00:00:00 -0000

ros-noetic-rqt-dep (0.3.11-1focal) focal; urgency=high

  * install rqt_dep globally (#286 <https://github.com/ros-visualization/rqt_common_plugins/pull/286>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 30 Apr 2015 00:00:00 -0000

ros-noetic-rqt-dep (0.3.10-1focal) focal; urgency=high

  * update plugin scripts to use full name to avoid future naming collisions

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 01 Oct 2014 00:00:00 -0000

ros-noetic-rqt-dep (0.3.9-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Aug 2014 00:00:00 -0000

ros-noetic-rqt-dep (0.3.8-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 15 Jul 2014 00:00:00 -0000

ros-noetic-rqt-dep (0.3.7-1focal) focal; urgency=high

  * export architecture_independent flag in package.xml (#254 <https://github.com/ros-visualization/rqt_common_plugins/issues/254>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Jul 2014 00:00:00 -0000

ros-noetic-rqt-dep (0.3.6-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 02 Jun 2014 00:00:00 -0000

ros-noetic-rqt-dep (0.3.5-1focal) focal; urgency=high

  * using CATKIN_ENABLE_TESTING to optionally configure tests (#220 <https://github.com/ros-visualization/rqt_common_plugins/pull/220>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 07 May 2014 00:00:00 -0000

ros-noetic-rqt-dep (0.3.4-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 28 Jan 2014 00:00:00 -0000

ros-noetic-rqt-dep (0.3.3-1focal) focal; urgency=high

  * add groups for rqt plugins, renamed some plugins (#167 <https://github.com/ros-visualization/rqt_common_plugins/issues/167>)
  * make it a non ros plugin startable without a roscore (#200 <https://github.com/ros-visualization/rqt_common_plugins/issues/200>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 Jan 2014 00:00:00 -0000

ros-noetic-rqt-dep (0.3.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 14 Oct 2013 00:00:00 -0000

ros-noetic-rqt-dep (0.3.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 09 Oct 2013 00:00:00 -0000

ros-noetic-rqt-dep (0.3.0-1focal) focal; urgency=high

  * add partial support for metapackages
  * fix rendering of icons on OS X (ros-visualization/rqt#83 <https://github.com/ros-visualization/rqt/issues/83>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 28 Aug 2013 00:00:00 -0000

ros-noetic-rqt-dep (0.2.17-1focal) focal; urgency=high

  * fix handling ResourceNotFound for not found packages in graph

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 04 Jul 2013 00:00:00 -0000

ros-noetic-rqt-dep (0.2.16-1focal) focal; urgency=high





=== debian/control ===
Source: ros-noetic-rqt-dep
Section: misc
Priority: optional
Maintainer: Ivan Paunovic <ivanpauno@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), python3-mock, ros-noetic-catkin
Homepage: http://wiki.ros.org/rqt_dep
Standards-Version: 3.9.2

Package: ros-noetic-rqt-dep
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-rospkg, ros-noetic-python-qt-binding (>= 0.2.19), ros-noetic-qt-dotgraph, ros-noetic-qt-gui, ros-noetic-qt-gui-py-common, ros-noetic-rqt-graph, ros-noetic-rqt-gui-py
Description: rqt_dep provides a GUI plugin for visualizing the ROS dependency graph.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rqt-dep//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
